/**
 * Permissions relating to the writing or deleting of files matched by the outer FolderPublicPermissions object.
 */
export interface FileWriteGrantsDto {
    /**
     * Allows new files to be uploaded to this path.
     */
    createFile: boolean;
    /**
     * Allows files to be deleted at this path.
     */
    deleteFile: boolean;
    /**
     * Allows existing files to be overwritten at this path.
     */
    overwriteFile: boolean;
}
export declare namespace FileWriteGrantsDto {
    const denyAll: FileWriteGrantsDto;
    function logicalAnd(a: FileWriteGrantsDto, b: FileWriteGrantsDto): FileWriteGrantsDto;
}
