import { QueryParam } from "@upload-io/upload-shared-iso";
export declare class QueryStringToJsonSystemParams {
    /**
     * Required to fix ambiguities between array elements.
     *
     * For example:
     * /foo.mp4?e=30&video=/bar.mp4
     *
     * The above can be interpreted as either 'trim the end of the primary video (foo.mp4)' or 'trim the end of the additional video (bar.mp4)'.
     * We can't simply say that "only params after a canonical element field -- i.e. 'video' -- will be associated to that param" because this
     * is not only restricting (as users need to be aware of which the canonical param is, else their queries won't work), but ALSO some
     * array element types don't have a canonical field type: consider HLS variant array elements (q/br/fps): there is no canonical field.
     */
    static forceNextElement: QueryParam;
}
